let library = require("../Library");
cc.Class({
    extends: require("BasePlayerController"),

    properties: {

    },
    start()
    {
        // avatar: {
        // default: null,
        //         type: cc.Sprite,
        //         serializable: true,
        // },
        // playerName: {
        // default: null,
        //         type: cc.Label,
        //         serializable: true,
        // },
        // score: {
        // default: null,
        //         type: cc.Label,
        //         serializable: true,
        // },
        // gender: {
        // default: null,
        //         type: cc.Node,
        //         serializable: true,
        // },

        this.score.string = this.gameStatesScpt.playerScore[1].toString();

        this.schedule(function () {

            let index = library.randomInt(0,5);

            switch (index) {
                case 0:
                    this.left();
                    break;

                case 1:
                    this.top();
                    break;

                case 2:
                    this.right();
                    break;

                default:
                    break;
            }

        },1);
    },
    hit()
    {
        this.gameStatesScpt.playerScore[1]++;
        this.score.string = this.gameStatesScpt.playerScore[1].toString();
    }
});
